%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}
Name:          hibernate3-ejb3-persistence-3.0-api
Version:       1.0.2
Release:       %mkrel 3
Summary:       EJB3 persistence API
Group:         Development/Java
License:       LGPL
Url:           http://www.hibernate.org/
# svn export http://anonsvn.jboss.org/repos/hibernate/jpa-api/tags/v1_0_2_GA hibernate-ejb3-persistence-1.0.2.GA
# tar czf hibernate-ejb3-persistence-1.0.2.GA-src-svn.tar.gz hibernate-ejb3-persistence-1.0.2.GA
Source0:       hibernate-ejb3-persistence-%{namedversion}-src-svn.tar.gz
Patch0:        hibernate-ejb3-persistence-1.0.2-ivyconf.patch
Patch1:        hibernate-ejb3-persistence-1.0.2-no-maven-ant-tasks.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ivy

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
JSR-220 EJB 3.0 (persistence) API 1.0.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n hibernate-ejb3-persistence-%{namedversion}
%patch0 -p0
%patch1 -p0

find \( -name '*.jar' -o -name '*.class' \) -exec rm -f '{}' \;

iconv -f iso8859-1 -t utf-8 etc/license.txt > etc/license.txt.conv && mv -f etc/license.txt.conv etc/license.txt
sed -i 's/\r//' etc/license.txt

build-jar-repository -s -p ivy ivy

for i in `find -name "*.java"`
do
        native2ascii -encoding UTF8 $i $i
done

%build

%{ant} -Doffline.repository.jboss.org=$PWD/build deploy javadoc

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 build/ejb3-persistence.jar \
  %{buildroot}%{_javadir}/%{name}.jar
install -pm 644 build/src.jar \
  %{buildroot}%{_javadir}/%{name}-sources.jar
  
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp build/api/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-sources.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc etc/license.txt

%files javadoc
%{_javadocdir}/%{name} 


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-3.mga4
+ Revision: 508510
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 dmorgan <dmorgan> 1.0.2-2.mga3
+ Revision: 361571
- Fix files encoding

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 02 2012 gil <gil> 1.0.2-1.mga3
+ Revision: 216993
- imported package hibernate3-ejb3-persistence-3.0-api

